#!/usr/bin/env python3
# -*- coding: utf-8 -*- 

#-------------------------------------------------
# IMPORTS
#-------------------------------------------------

from datetime import datetime
from pathlib import Path

from .logger import logVar

#-------------------------------------------------
# MODULES
#-------------------------------------------------

#
def makeFiles(logPath):

    # timestamp for file names
    now = datetime.now()
    timestamp = now.strftime("%Y-%m-%d_%Hh%Ms%S")
    
    # create index file
    indexFileName = timestamp + "_index.txt"
    indexFilePath = logPath + indexFileName
    logVar("indexFilePath", indexFilePath)
    Path(indexFilePath).touch()
    
    # create rename file
    renameFileName = timestamp + "_rename.csv"
    renameFilePath = logPath + renameFileName
    logVar("renameFilePath", renameFilePath)
    Path(renameFilePath).touch()

    # create rename unique
    renameUniqueFileName = timestamp + "_renameUnique.csv"
    renameUniqueFilePath = logPath + renameUniqueFileName
    logVar("renameUniqueFileName", renameUniqueFilePath)
    Path(renameUniqueFilePath).touch()

    # create rename conflicts
    renameConflictsFileName = timestamp + "_renameConflicts.csv"
    renameConflictsFilePath = logPath + renameConflictsFileName
    logVar("renameConflictsFileName", renameConflictsFilePath)
    Path(renameConflictsFilePath).touch()

    # return
    return indexFilePath, renameFilePath, renameUniqueFilePath, renameConflictsFilePath
