#!/usr/bin/env python3
# -*- coding: utf-8 -*- 

#-------------------------------------------------
# IMPORTS
#-------------------------------------------------
import platform
from .regexes import macVersionFilter

#-------------------------------------------------
# MODULES
#-------------------------------------------------

#check OS
def checkOS(minWinVer,minMacVer):

    #system
    os_sys = platform.system()
    
    #version
    os_valid = False

    if platform.system() == "Darwin":
        os_verRaw = platform.mac_ver()[0]
        os_ver = macVersionFilter(os_verRaw)
        #
        if float(os_ver) >= minMacVer:
            os_valid = True

    if platform.system() == "Windows":
        os_ver = platform.release()
        #
        if int(os_ver) >= minWinVer:
            os_valid = True

    #
    return os_sys,os_ver,os_valid
