#!/usr/bin/env python3
# -*- coding: utf-8 -*- 

#-------------------------------------------------
# IMPORTS
#-------------------------------------------------

from PyQt5 import QtWidgets
from PyQt5.QtWidgets import QWizardPage
from PyQt5.QtCore import Qt

from common.logger import logMsg

#-------------------------------------------------
# MODULES
#-------------------------------------------------

class Page1(QWizardPage):
    def __init__(self, os_valid, parent=None):
        super(Page1, self).__init__(parent)
        
        # attributes
        self.os_v = os_valid
        
        # headers
        self.setTitle("Bienvenue")
        self.setSubTitle("Dans OneDrive,  les noms de fichiers et dossiers ne peuvent pas contenir "
                         "les caractères spéciaux suivants: \" * : > < ? / \ |.\n\n"
                         "Cela arrive notamment lorsque des pdf ont dans leur nom l'URL où vous "
                         "les avez téléchargés.\n\n"
                         "Cette application détecte les cas problématiques et propose de les remplacer "
                         "par un trait de soulignement '_'.")
        
        # label: warning macOS trop ancien
        self.label = QtWidgets.QLabel()
        self.label.setText("Votre version de macOS trop ancienne pour utiliser cet utilitaire.")
        
        # warning style
        self.label.setStyleSheet("color: rgb(255,0,0);\n"
            "font: 12pt ; text-align: center; border: 2px solid grey;\n"
            "background-color: white; padding: 12px;")
        self.label.setAlignment(Qt.AlignCenter)
        
        # réglage affichage label 1 ou 2
        if self.os_v:
            self.label.setVisible(0)
        
        # layout
        layout = QtWidgets.QVBoxLayout()
        layout.addWidget(self.label)
        self.setLayout(layout)

    # isComplete pour griser le bouton Continuer
    def isComplete(self):
        self.conditions = [self.os_v]
        if all(self.conditions):
            return True
        else:
            return False
    
    #-------------------------------------------------
    # initializePage
    #-------------------------------------------------

    # on page opening
    def initializePage(self):
        logMsg("PAGE", "1")
    